{% extends "templates/inc/_base.twig" %}

{% block main %}

{% include 'templates/inc/_modal.twig' %}

<main class="main">
  {# Hero #}
  <section class="hero">
    <img srcset="{{ hero.bg.url|resize(768, 768 * 0.2) }} 768w,
                 {{ hero.bg.url|resize(1438, 1438 * 0.2) }} 1438w,
                 {{ hero.bg.url|resize(2876, 2786 * 0.2)  }} 2786w"
         src="{{ hero.bg.url|resize(1438, 1438 * 0.2) }}"
         class="hero__bg lazyload"
         data-sizes="auto"
         alt="{{ hero.bg.alt }}">
    <div class="container hero__body">
      <h1 class="hero__title">{{ hero.title }}</h1>
      <p class="hero__content">{{ hero.content }}</p>
      <a href="{{ hero.cta.url }}" role="button" class="btn btn--primary js-modal-open">{{ hero.cta.title }}</a>
    </div>
    <div class="container">
      <nav class="strip">
        <ul class="strip__menu list-reset">
          {% for item in menu.hero.items %}
            <li {% if item.current %}class="active"{% endif %}><a href="{{ item.link }}">
              {% if item.classes[0] == 'home' %}
                {% include 'templates/inc/icons/_icons.home.twig' ignore missing %}
              {% elseif item.classes[0] == 'blog' %}
                {% include 'templates/inc/icons/_icons.news.twig' ignore missing %}
              {% elseif item.classes[0] == 'learn' %}
                {% include 'templates/inc/icons/_icons.graduation-cap.twig' ignore missing %}
              {% elseif item.classes[0] == 'use-cases' %}
                {% include 'templates/inc/icons/_icons.lightbulb.twig' ignore missing %}
              {% endif %}
              {{ item.title }}</a></li>
          {% endfor %}
        </ul>
      </nav>
    </div>
  </section>
  {# Hero ./end #}

  {# Featured #}
  <section class="section">
    <div class="container">
      <dl class="bar">
        <dt>{% include 'templates/inc/icons/_icons.arrow-right.twig' ignore missing %}</dt>
        <dd>{{ bar }}</dd>
      </dl>

      <h1 class="h1 h1--md">{{ featured.title }}</h2>

      <div id="squidex-use-cases-featured" data-featured="{{ wp_featured }}">
        <div class="row">
          <div class="col-xs-6">
            <div class="card card--featured card--ajax is-loading"></div>
          </div>
          <div class="col-xs-6">
            <div class="card card--featured card--ajax is-loading"></div>
          </div>
        </div>
      </div>
    </div>
  </section>
  {# Featured ./end #}

  <section id="squidex-use-cases-listing" data-wp="{{ wp_data }}" data-squidex-resources="{{ options.squidex.resources_url }}" class="section section--app">
  </section>

</main>

{% endblock %}
